{% extends 'store/base.html' %}
{% load static %}
{% block title %}Cart{% endblock title %}
{% block main-content %}
<div class="container my-5">
 <div class="row">
  <h1 class="text-center mb-5">{{user|capfirst}}'s Shopping Cart</h1>
  <div class="col-sm-8">
  <div class="card">
   <div class="card-body cartdata">
    <h3>Cart Products</h3>
    {% for cart in carts %}
       {% if not cart.ordered %}
    <hr>
    <div class="row">
     <div class="col-sm-3 text-center align-self-center"><img src="{{cart.product.product_img.url}}" alt="" srcset="" class="img-fluid img-thumbnail shadow-sm" height="150" width="150"> </div>
     <div class="col-sm-9">
      <div>
        <h5>{{cart.product.title}}</h5>
        <p class="mb-2 text-muted small">{{cart.product.description}}</p>
        <div class="row mt-2 product_data">
            <div class="col-md-3 prod_data">
                <input type="hidden" value="{{cart.product_id}}" class="prod_id">
                {% csrf_token %}
                {% if cart.product.stock >= cart.quantity %}
                    <label for="Quantity">Quantity</label>
                    <div class="input-group text-center mb-3">
                        <input type="hidden" value="{{cart.product.stock}}" class="prod_stock">
                        <button class="input-group-text decrement-button changeQuantity">-</button>
                        <input type="text" name="quantity" class="form-control qty-input text-center" value="{{cart.quantity}}">
                        <button class="input-group-text increment-button changeQuantity">+</button>
                    </div>
                {% else %}
                    <h6>Out of Stock</h6>
                {% endif %}
            </div>
        </div>
       <div class="d-flex justify-content-between prod_data">
        <input type="hidden" value="{{cart.product_id}}" class="prod_id">
        <a href="{% url 'removecart' %}" class="btn btn-sm btn-secondary mr-3 remove-cart">Remove item </a>
        <p class="mb-0"><span><strong>Rs.  {{cart.product.discounted_price}}</strong></span></p>
       </div>
      </div>
     </div>
    </div>
       {% endif %}
    {% endfor %}
   </div>
   </div>
  </div>
  <div class="col-sm-4">
   <div class="card">
    <div class="card-body">
      <h3>The Total Amount</h3>
      <ul class="list-group">
       <li class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 pb-0">Amount<span>Rs. <span id="amount">{{amount}}</span></span></li>
       <li class="list-group-item d-flex justify-content-between align-items-center px-0">Shipping<span>{{shipping_amount}}</span></li>
       <li class="list-group-item d-flex justify-content-between align-items-center border-0 px-0 mb-3">
        <div>
           <strong>Total</strong> <small>(including GST)</small>
         </div>
         <span><strong>Rs. <strong id="totalamount">{{total_amount}}</strong></strong></span>
       </li>
      </ul>
        <strong>Apply Coupon*</strong>
      <form action="{% url 'cart' %}" method="POST">
          {% csrf_token %}
          <input type="text" name="coupon_code" placeholder="Enter Your PromoCode" required>
          <input type="hidden" name="total_amount" value="{{total_amount}}">
          <button class="btn btn-outline-success" type="text">Redeem</button>

      </form>
        <h5>Available Coupons*</h5>
        {% for coupon in all_available_coupon %}
        <small>{{coupon.code}}</small><br>
        {% endfor %}
        <br>
        <form method="GET" action="{% url 'checkout' %}">
            <input type="hidden" value="{{total_amount}}" name="total_amount">
            <input type="hidden" value="{{shipping_amount}}" name="shipping_amount">
            <input type="hidden" name="code" value="{{available_coupon.code}}">
            <div class="d-grid"><button class="btn btn-primary">Place Order</button></div>
      </form>
    </div>
   </div>
  </div>
 </div>
</div>

{% endblock main-content %}